> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-1d264819.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Private Endpoint 구성 조회

> Private Endpoint를 설정하는 데 필요한 정보



## OpenAPI

````yaml /ko/products/cloud/api-reference/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/privateEndpointConfig
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/privateEndpointConfig:
    get:
      tags:
        - Service
      summary: Private Endpoint 구성 조회
      description: Private Endpoint를 설정하는 데 필요한 정보
      parameters:
        - description: 요청한 조직의 ID.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 요청한 서비스의 ID.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/PrivateEndpointConfig'
                  status:
                    description: HTTP 상태 코드.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명.
                    type: string
                  status:
                    description: HTTP 상태 코드.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 판단되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    PrivateEndpointConfig:
      properties:
        endpointServiceId:
          description: >-
            AWS(Service Name), GCP(Target Service) 또는 AZURE(Private Link
            Service) 리소스를 사용해 VPC에 생성한 인터페이스 엔드포인트의 고유 식별자
          type: string
        privateDnsHostname:
          description: 생성한 VPC의 Private DNS 호스트명
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 키 ID와 키 시크릿을 사용하십시오:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````